package com.sundot.airport.item.domain;


import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * 查获物品明细对象 item_seizure_items
 *
 * @author ruoyi
 * @date 2025-07-10
 */
public class ItemSeizureParam {
    private static final long serialVersionUID = 1L;

    /**
     * 查获记录类型:1=我的查获记录;2=本班组查获记录
     */
    private int recordType = 1;

    /**
     * 查获记录类型:1=我的查获记录:检查人员ID
     */
    private Long inspectUserId;

    /**
     * 查获记录类型:2=本班组查获记录:查获人机构站ID
     */
    private Long inspectStationId;

    /**
     * 查获记录类型:2=本班组查获记录:查获人大队ID
     */
    private Long inspectBrigadeId;

    /**
     * 查获记录类型:2=本班组查获记录:查获人科室ID
     */
    private Long inspectDepartmentId;

    /**
     * 查获记录类型:2=本班组查获记录:查获人班组ID
     */
    private Long inspectTeamId;

    /**
     * 时间范围:1=今日;2=本周;3=本月;4=自定义
     */
    private int timeType = 1;

    /**
     * 时间范围:4=自定义:开始日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startDate;

    /**
     * 时间范围:4=自定义:结束日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endDate;

    /**
     * 分类类型:ALL=全部;其他=对应类型
     */
    private String seizureType = "ALL";

    public int getRecordType() {
        return recordType;
    }

    public void setRecordType(int recordType) {
        this.recordType = recordType;
    }

    public Long getInspectUserId() {
        return inspectUserId;
    }

    public void setInspectUserId(Long inspectUserId) {
        this.inspectUserId = inspectUserId;
    }

    public Long getInspectStationId() {
        return inspectStationId;
    }

    public void setInspectStationId(Long inspectStationId) {
        this.inspectStationId = inspectStationId;
    }

    public Long getInspectBrigadeId() {
        return inspectBrigadeId;
    }

    public void setInspectBrigadeId(Long inspectBrigadeId) {
        this.inspectBrigadeId = inspectBrigadeId;
    }

    public Long getInspectDepartmentId() {
        return inspectDepartmentId;
    }

    public void setInspectDepartmentId(Long inspectDepartmentId) {
        this.inspectDepartmentId = inspectDepartmentId;
    }

    public Long getInspectTeamId() {
        return inspectTeamId;
    }

    public void setInspectTeamId(Long inspectTeamId) {
        this.inspectTeamId = inspectTeamId;
    }

    public int getTimeType() {
        return timeType;
    }

    public void setTimeType(int timeType) {
        this.timeType = timeType;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getSeizureType() {
        return seizureType;
    }

    public void setSeizureType(String seizureType) {
        this.seizureType = seizureType;
    }

    @Override
    public String toString() {
        return "ItemSeizureParam{" +
                "recordType=" + recordType +
                ", inspectUserId=" + inspectUserId +
                ", inspectStationId=" + inspectStationId +
                ", inspectBrigadeId=" + inspectBrigadeId +
                ", inspectDepartmentId=" + inspectDepartmentId +
                ", inspectTeamId=" + inspectTeamId +
                ", timeType=" + timeType +
                ", startDate=" + startDate +
                ", endDate=" + endDate +
                ", seizureType='" + seizureType + '\'' +
                '}';
    }

}
